/**
 * 虹膜采集相关接口
 */
import request from '@/utils/request'
// import qs from 'qs'
// 查询人员识别列表
export function getRecognitionRecords(params) {
  return request({
    url: '/recognition/records',
    method: 'get',
    params
  })
}
// 查询人员识别详情
export function getRecognitionDetail(params) {
  return request({
    url: '/recognition/recordDetail',
    method: 'get',
    params
  })
}
// 人员识别
export function recognize(data) {
  return request({
    url: 'recognition/recognize',
    method: 'post',
    data
  })
}
// 查询人员采集列表
export function getCollectRecords(params) {
  return request({
    url: '/recognition/records',
    method: 'get',
    params
  })
}
// 查询人员采集列表
export function getCollectDetail(params) {
  return request({
    url: '/recognition/recordDetail',
    method: 'get',
    params
  })
}

// 新增采集日志基础信息（第一步提交）
export function addCollectLog(data) {
  return request({
    url: 'irisDataLog/add',
    method: 'post',
    data
  })
}

// 新增采集日志基础信息（第一步提交）
export function addIrisData(data) {
  return request({
    url: 'irisData/add',
    method: 'post',
    data
  })
}
